Subject: bug#29731: configure to distinguish makeinfo present-but-broken from missing-or-old

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 Aug 2021 15:40:31 +0200

Robert Pluim <[email-masked]> writes:

> No. Some of the admin scripts do, but theyʼre not required to build
> emacs. makeinfo requires perl last time I checked.

Aha.  Hm.  Oh, Glenn had renamed this to:

retitle 29731 configure to distinguish makeinfo present-but-broken from missing-or-old

Which is, I guess, the correct description here.  So makeinfo didn't
work for the user because Perl was b0rked, but ./configure says that the
user didn't have makeinfo.

I guess that should be possible to distinguish...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no